﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChart_Sample
{
    class SampleData
    {
        public ObservableCollection<DataItem> Data { get; set; }
        public ObservableCollection<DataItem> Data2 { get; set; }


        public SampleData()
        {
            Data = new ObservableCollection<DataItem>();

            for (int i = 0; i < 5; i++)
            {
                Data.Add(new DataItem()
                {
                    Label = "Label " + (i + 1).ToString(),
                    Value = i + 1
                });
            }

            Data2 = new ObservableCollection<DataItem>();

            for (int i = 6; i > 0; i--)
            {
                Data2.Add(new DataItem()
                {
                    Label = "Label " + (i+1).ToString(),
                    Value = i - 1
                });
            }

        }
    }

    public class DataItem
    {
        public string Label { get; set; }

        public int Value { get; set; }
    }
}
